package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ConfTotem;

public class RenderConfTotem implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		
		ConfTotem confTotem = (ConfTotem) o;

		Listcell lc = new Listcell(confTotem.getConfTotemId().toString());
		lc.setParent(lstm);

		lc = new Listcell(confTotem.getChave());
		lc.setParent(lstm);

		lc = new Listcell(confTotem.getValor());
		lc.setParent(lstm);

		lstm.setAttribute("data", confTotem);
	}

}
